- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 47523bd0-40a9-41e6-82f7-7407d71783e9
    creation_time: 2023-02-17T13:42:44.941585Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps3-ll.c
      input_file_hashes:
        c/nla-digbench/ps3-ll.c: 8db0248129cbdf684d5c34c8cefe6849dfc0aface1aea6f02e53557e5a736fa9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps3-ll.c
    file_hash: 8db0248129cbdf684d5c34c8cefe6849dfc0aface1aea6f02e53557e5a736fa9
    line: 28
    column: 0
    function: main
  loop_invariant:
    string: 6 * x - 2 * y * y * y - 3 * y * y - y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: ede504fa-5144-4c58-8f12-1666a289693c
    creation_time: 2023-02-17T13:42:44.941995Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps3-ll.c
      input_file_hashes:
        c/nla-digbench/ps3-ll.c: 8db0248129cbdf684d5c34c8cefe6849dfc0aface1aea6f02e53557e5a736fa9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps3-ll.c
    file_hash: 8db0248129cbdf684d5c34c8cefe6849dfc0aface1aea6f02e53557e5a736fa9
    line: 28
    column: 0
    function: main
  location_invariant:
    string: 6 * x - 2 * y * y * y - 3 * y * y - y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 8bb61542-54d9-489c-aa6d-3ded88a298b0
    creation_time: 2023-02-17T13:42:44.942092Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/ps3-ll.c
      input_file_hashes:
        c/nla-digbench/ps3-ll.c: 8db0248129cbdf684d5c34c8cefe6849dfc0aface1aea6f02e53557e5a736fa9
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/ps3-ll.c
    file_hash: 8db0248129cbdf684d5c34c8cefe6849dfc0aface1aea6f02e53557e5a736fa9
    line: 37
    column: 0
    function: main
  location_invariant:
    string: 6 * x - 2 * y * y * y - 3 * y * y - y == 0
    type: assertion
    format: C

